"""
Internal mapping of Hector components and variables.
Auto-generated from Hector headers.
"""

components = {
    "CORE": "core",
    "CCS": "carbon-cycle-solver",
    "BOX_MODEL": "carbon-box-model",
    "SIMPLENBOX": "simpleNbox",
    "CH4": "CH4",
    "OH": "OH",
    "N2O": "N2O",
    "TEMPERATURE": "temperature",
    "OCEAN": "ocean",
    "CF4": "CF4_halocarbon",
    "C2F6": "C2F6_halocarbon",
    "HFC23": "HFC23_halocarbon",
    "HFC32": "HFC32_halocarbon",
    "HFC4310": "HFC4310_halocarbon",
    "HFC125": "HFC125_halocarbon",
    "HFC134a": "HFC134a_halocarbon",
    "HFC143a": "HFC143a_halocarbon",
    "HFC227ea": "HFC227ea_halocarbon",
    "HFC245fa": "HFC245fa_halocarbon",
    "SF6": "SF6_halocarbon",
    "CFC11": "CFC11_halocarbon",
    "CFC12": "CFC12_halocarbon",
    "CFC113": "CFC113_halocarbon",
    "CFC114": "CFC114_halocarbon",
    "CFC115": "CFC115_halocarbon",
    "CCl4": "CCl4_halocarbon",
    "CH3CCl3": "CH3CCl3_halocarbon",
    "HCFC22": "HCFC22_halocarbon",
    "halon1211": "halon1211_halocarbon",
    "halon1301": "halon1301_halocarbon",
    "halon2402": "halon2402_halocarbon",
    "CH3Cl": "CH3Cl_halocarbon",
    "CH3Br": "CH3Br_halocarbon",
    "BLACK_CARBON": "bc",
    "ORGANIC_CARBON": "oc",
    "NH3": "nh3",
    "SULFUR": "so2",
    "FORCING": "forcing",
    "SLR": "slr",
    "OZONE": "ozone",
    "DUMMY": "dummy-component",
}

variables = {
    "RUN_NAME": "run_name",
    "START_DATE": "startDate",
    "END_DATE": "endDate",
    "TRACKING_DATE": "trackingDate",
    "DO_SPINUP": "do_spinup",
    "MAX_SPINUP": "max_spinup",
    "ENABLED": "enabled",
    "OUTPUT_ENABLED": "output",
    "EMISSIONS_BC": "BC_emissions",
    "CCS_EPS_ABS": "eps_abs",
    "CCS_EPS_REL": "eps_rel",
    "CCS_DT": "dt",
    "EPS_SPINUP": "eps_spinup",
    "RF_PREFIX": "RF_",
    "RF_TOTAL": "RF_tot",
    "RF_T_ALBEDO": "RF_albedo",
    "FTOT_CONSTRAIN": "RF_tot_constrain",
    "RF_BASEYEAR": "baseyear",
    "RF_CO2": "RF_CO2",
    "RF_N2O": "RF_N2O",
    "RF_H2O_STRAT": "RF_H2O_strat",
    "RF_O3_TROP": "RF_O3_trop",
    "RF_BC": "RF_BC",
    "RF_OC": "RF_OC",
    "RF_NH3": "RF_NH3",
    "RF_SO2": "RF_SO2",
    "RF_ACI": "RF_aci",
    "RF_VOL": "RF_vol",
    "RF_halocarbons": "RF_halocarbons",
    "RF_MISC": "RF_misc",
    "QCO2": "qco2",
    "DELTA_CH4": "delta_ch4",
    "DELTA_N2O": "delta_n2o",
    "DELTA_CO2": "delta_co2",
    "RHO_BC": "rho_bc",
    "RHO_OC": "rho_oc",
    "RHO_SO2": "rho_so2",
    "RHO_NH3": "rho_nh3",
    "RF_CF4": "RF_CF4",
    "RF_C2F6": "RF_C2F6",
    "RF_HFC23": "RF_HFC23",
    "RF_HFC32": "RF_HFC32",
    "RF_HFC4310": "RF_HFC4310",
    "RF_HFC125": "RF_HFC125",
    "RF_HFC134a": "RF_HFC134a",
    "RF_HFC143a": "RF_HFC143a",
    "RF_HFC227ea": "RF_HFC227ea",
    "RF_HFC245fa": "RF_HFC245fa",
    "RF_SF6": "RF_SF6",
    "RF_CFC11": "RF_CFC11",
    "RF_CFC12": "RF_CFC12",
    "RF_CFC113": "RF_CFC113",
    "RF_CFC114": "RF_CFC114",
    "RF_CFC115": "RF_CFC115",
    "RF_CCl4": "RF_CCl4",
    "RF_CH3CCl3": "RF_CH3CCl3",
    "RF_HCFC22": "RF_HCFC22",
    "RF_HCFC141b": "RF_HCFC141b",
    "RF_HCFC142b": "RF_HCFC142b",
    "RF_halon1211": "RF_halon1211",
    "RF_halon1301": "RF_halon1301",
    "RF_halon2402": "RF_halon2402",
    "RF_CH3Cl": "RF_CH3Cl",
    "RF_CH3Br": "RF_CH3Br",
    "RFADJ_PREFIX": "Fadj",
    "RFADJ_CF4": "FadjCF4",
    "RFADJ_C2F6": "FadjC2F6",
    "RFADJ_HFC23": "FadjHFC23",
    "RFADJ_HFC32": "FadjHFC32",
    "RFADJ_HFC4310": "FadjHFC4310",
    "RFADJ_HFC125": "FadjHFC125",
    "RFADJ_HFC134a": "FadjHFC134a",
    "RFADJ_HFC143a": "FadjHFC143a",
    "RFADJ_HFC227ea": "FadjHFC227ea",
    "RFADJ_HFC245fa": "FadjHFC245fa",
    "RFADJ_SF6": "FadjSF6",
    "RFADJ_CFC11": "FadjCFC11",
    "RFADJ_CFC12": "FadjCFC12",
    "RFADJ_CFC113": "FadjCFC113",
    "RFADJ_CFC114": "FadjCFC114",
    "RFADJ_CFC115": "FadjCFC115",
    "RFADJ_CCl4": "FadjCCl4",
    "RFADJ_CH3CCl3": "FadjCH3CCl3",
    "RFADJ_HCFC22": "FadjHCFC22",
    "RFADJ_HCFC141b": "FadjHCFC141b",
    "RFADJ_HCFC142b": "FadjHCFC142b",
    "RFADJ_halon1211": "Fadjhalon1211",
    "RFADJ_halon1301": "Fadjhalon1301",
    "RFADJ_halon2402": "Fadjhalon2402",
    "RFADJ_CH3Cl": "FadjCH3Cl",
    "RFADJ_CH3Br": "FadjCH3Br",
    "EMISSIONS_CF4": "CF4_emissions",
    "EMISSIONS_C2F6": "C2F6_emissions",
    "EMISSIONS_HFC23": "HFC23_emissions",
    "EMISSIONS_HFC32": "HFC32_emissions",
    "EMISSIONS_HFC4310": "HFC4310_emissions",
    "EMISSIONS_HFC125": "HFC125_emissions",
    "EMISSIONS_HFC134a": "HFC134a_emissions",
    "EMISSIONS_HFC143a": "HFC143a_emissions",
    "EMISSIONS_HFC227ea": "HFC227ea_emissions",
    "EMISSIONS_HFC245fa": "HFC245fa_emissions",
    "EMISSIONS_SF6": "SF6_emissions",
    "EMISSIONS_CFC11": "CFC11_emissions",
    "EMISSIONS_CFC12": "CFC12_emissions",
    "EMISSIONS_CFC113": "CFC113_emissions",
    "EMISSIONS_CFC114": "CFC114_emissions",
    "EMISSIONS_CFC115": "CFC115_emissions",
    "EMISSIONS_CCl4": "CCl4_emissions",
    "EMISSIONS_CH3CCl3": "CH3CCl3_emissions",
    "EMISSIONS_HCFC22": "HCFC22_emissions",
    "EMISSIONS_HCFC141b": "HCFC141b_emissions",
    "EMISSIONS_HCFC142b": "HCFC142b_emissions",
    "EMISSIONS_halon1211": "halon1211_emissions",
    "EMISSIONS_halon1301": "halon1301_emissions",
    "EMISSIONS_halon2402": "halon2402_emissions",
    "EMISSIONS_CH3Cl": "CH3Cl_emissions",
    "EMISSIONS_CH3Br": "CH3Br_emissions",
    "CONSTRAINT_CF4": "CF4_constrain",
    "CONSTRAINT_C2F6": "C2F6_constrain",
    "CONSTRAINT_HFC23": "HFC23_constrain",
    "CONSTRAINT_HFC32": "HFC32_constrain",
    "CONSTRAINT_HFC4310": "HFC4310_constrain",
    "CONSTRAINT_HFC125": "HFC125_constrain",
    "CONSTRAINT_HFC134a": "HFC134a_constrain",
    "CONSTRAINT_HFC143a": "HFC143a_constrain",
    "CONSTRAINT_HFC227ea": "HFC227ea_constrain",
    "CONSTRAINT_HFC245fa": "HFC245fa_constrain",
    "CONSTRAINT_SF6": "SF6_constrain",
    "CONSTRAINT_CFC11": "CFC11_constrain",
    "CONSTRAINT_CFC12": "CFC12_constrain",
    "CONSTRAINT_CFC113": "CFC113_constrain",
    "CONSTRAINT_CFC114": "CFC114_constrain",
    "CONSTRAINT_CFC115": "CFC115_constrain",
    "CONSTRAINT_CCl4": "CCl4_constrain",
    "CONSTRAINT_CH3CCl3": "CH3CCl3_constrain",
    "CONSTRAINT_HCFC22": "HCFC22_constrain",
    "CONSTRAINT_HCFC141b": "HCFC141b_constrain",
    "CONSTRAINT_HCFC142b": "HCFC142b_constrain",
    "CONSTRAINT_halon1211": "halon1211_constrain",
    "CONSTRAINT_halon1301": "halon1301_constrain",
    "CONSTRAINT_halon2402": "halon2402_constrain",
    "CONSTRAINT_CH3Cl": "CH3Cl_constrain",
    "CONSTRAINT_CH3Br": "CH3Br_constrain",
    "PREINDUSTRIAL_HC": "H0",
    "HC_CONCENTRATION": "hc_concentration",
    "HC_EMISSION": "hc_emission",
    "HC_TAU": "tau",
    "HC_MOLARMASS": "molarMass",
    "HCRHO_PREFIX": "rho_",
    "HCRHO_CF4": "rho_CF4",
    "HCRHO_C2F6": "rho_C2F6",
    "HCRHO_HFC23": "rho_HFC23",
    "HCRHO_HFC32": "rho_HFC32",
    "HCRHO_HFC4310": "rho_HFC4310",
    "HCRHO_HFC125": "rho_HFC125",
    "HCRHO_HFC134a": "rho_HFC134a",
    "HCRHO_HFC143a": "rho_HFC143a",
    "HCRHO_HFC227ea": "rho_HFC227ea",
    "HCRHO_HFC245fa": "rho_HFC245fa",
    "HCRHO_SF6": "rho_SF6",
    "HCRHO_CFC11": "rho_CFC11",
    "HCRHO_CFC12": "rho_CFC12",
    "HCRHO_CFC113": "rho_CFC113",
    "HCRHO_CFC114": "rho_CFC114",
    "HCRHO_CFC115": "rho_CFC115",
    "HCRHO_CCl4": "rho_CCl4",
    "HCRHO_CH3CCl3": "rho_CH3CCl3",
    "HCRHO_HCFC22": "rho_HCFC22",
    "HCRHO_HCFC141b": "rho_HCFC141b",
    "HCRHO_HCFC142b": "rho_HCFC142b",
    "HCRHO_halon1211": "rho_halon1211",
    "HCRHO_halon1301": "rho_halon1301",
    "HCRHO_halon2402": "rho_halon2402",
    "HCRHO_CH3Cl": "rho_CH3Cl",
    "HCRHO_CH3Br": "rho_CH3Br",
    "HCDELTA_PREFIX": "delta_",
    "HCDELTA_CF4": "delta_CF4",
    "HCDELTA_C2F6": "delta_C2F6",
    "HCDELTA_HFC23": "delta_HFC23",
    "HCDELTA_HFC32": "delta_HFC32",
    "HCDELTA_HFC4310": "delta_HFC4310",
    "HCDELTA_HFC125": "delta_HFC125",
    "HCDELTA_HFC134a": "delta_HFC134a",
    "HCDELTA_HFC143a": "delta_HFC143a",
    "HCDELTA_HFC227ea": "delta_HFC227ea",
    "HCDELTA_HFC245fa": "delta_HFC245fa",
    "HCDELTA_SF6": "delta_SF6",
    "HCDELTA_CFC11": "delta_CFC11",
    "HCDELTA_CFC12": "delta_CFC12",
    "HCDELTA_CFC113": "delta_CFC113",
    "HCDELTA_CFC114": "delta_CFC114",
    "HCDELTA_CFC115": "delta_CFC115",
    "HCDELTA_CCl4": "delta_CCl4",
    "HCDELTA_CH3CCl3": "delta_CH3CCl3",
    "HCDELTA_HCFC22": "delta_HCFC22",
    "HCDELTA_HCFC141b": "delta_HCFC141b",
    "HCDELTA_HCFC142b": "delta_HCFC142b",
    "HCDELTA_halon1211": "delta_halon1211",
    "HCDELTA_halon1301": "delta_halon1301",
    "HCDELTA_halon2402": "delta_halon2402",
    "HCDELTA_CH3Cl": "delta_CH3Cl",
    "HCDELTA_CH3Br": "delta_CH3Br",
    "CH4_CONC": "CH4_concentration",
    "PREINDUSTRIAL_CH4": "M0",
    "RF_CH4": "FCH4",
    "EMISSIONS_CH4": "CH4_emissions",
    "CONSTRAINT_CH4": "CH4_constrain",
    "NATURAL_CH4": "CH4N",
    "CONVERSION_CH4": "UC_CH4",
    "LIFETIME_SOIL": "Tsoil",
    "LIFETIME_STRAT": "Tstrat",
    "N2O_CONC": "N2O_concentration",
    "PREINDUSTRIAL_N2O": "N0",
    "EMISSIONS_N2O": "N2O_emissions",
    "CONSTRAINT_N2O": "N2O_constrain",
    "CONVERSION_N2O": "UC_N2O",
    "INITIAL_LIFETIME_N2O": "TN2O0",
    "NAT_EMISSIONS_N2O": "N2O_natural_emissions",
    "TAU_N2O": "TAU_N2O",
    "LIFETIME_OH": "TAU_OH",
    "INITIAL_LIFETIME_OH": "TOH0",
    "COEFFICENT_NOX": "CNOX",
    "COEFFICENT_CH4": "CCH4",
    "COEFFICENT_NMVOC": "CNMVOC",
    "COEFFICENT_CO": "CCO",
    "PREINDUSTRIAL_O3": "PO3",
    "ATMOSPHERIC_O3": "O3_concentration",
    "ATMOSPHERIC_EM_CH4": "CH4",
    "EMISSIONS_NOX": "NOX_emissions",
    "EMISSIONS_CO": "CO_emissions",
    "EMISSIONS_NMVOC": "NMVOC_emissions",
    "EMISSIONS_OC": "OC_emissions",
    "EMISSIONS_NH3": "NH3_emissions",
    "OCEAN_C_UPTAKE": "ocean_uptake",
    "OCEAN_C": "ocean_c",
    "TT": "tt",
    "TU": "tu",
    "TWI": "twi",
    "TID": "tid",
    "HL_DO": "HL_downwelling",
    "PH_HL": "HL_pH",
    "PH_LL": "LL_pH",
    "PH": "pH",
    "ATM_OCEAN_FLUX_HL": "HL_ocean_uptake",
    "ATM_OCEAN_FLUX_LL": "LL_ocean_uptake",
    "PCO2_HL": "HL_PCO2",
    "PCO2_LL": "LL_PCO2",
    "PCO2": "PCO2",
    "DIC_HL": "HL_DIC",
    "DIC_LL": "LL_DIC",
    "DIC": "DIC",
    "CARBON_HL": "HL_ocean_c",
    "CARBON_LL": "LL_ocean_c",
    "CARBON_ML": "ML_ocean_c",
    "CARBON_IO": "IO_ocean_c",
    "CARBON_DO": "DO_ocean_c",
    "CARBON_PRE_SURF": "preind_surface_c",
    "CARBON_PRE_ID": "preind_interdeep_c",
    "OMEGACA_HL": "HL_OmegaCa",
    "OMEGACA_LL": "LL_OmegaCa",
    "OMEGAAR_HL": "HL_OmegaAr",
    "OMEGAAR_LL": "LL_OmegaAr",
    "TEMP_HL": "HL_sst",
    "TEMP_LL": "LL_sst",
    "SPINUP_CHEM": "spinup_chem",
    "CO3_LL": "LL_CO3",
    "CO3_HL": "HL_CO3",
    "CO3": "CO3",
    "TIMESTEPS": "ocean_timesteps",
    "REVELLE_HL": "HL_Revelle",
    "REVELLE_LL": "LL_Revelle",
    "NBP": "NBP",
    "CO2_CONC": "CO2_concentration",
    "PREINDUSTRIAL_CO2": "C0",
    "ATMOSPHERIC_CO2": "atmos_co2",
    "ATMOSPHERIC_C_RESIDUAL": "atmos_c_residual",
    "EARTHC": "earth_c",
    "VEGC": "veg_c",
    "DETRITUSC": "detritus_c",
    "SOILC": "soil_c",
    "PERMAFROSTC": "permafrost_c",
    "THAWEDPC": "thawedp_c",
    "FFI_EMISSIONS": "ffi_emissions",
    "DACCS_UPTAKE": "daccs_uptake",
    "LUC_EMISSIONS": "luc_emissions",
    "LUC_UPTAKE": "luc_uptake",
    "TEMPFERTD": "detritus_tempfert",
    "TEMPFERTS": "soil_tempfert",
    "Q10_RH": "q10_rh",
    "NPP": "NPP",
    "RH": "RH",
    "RH_DETRITUS": "rh_det",
    "RH_SOIL": "rh_soil",
    "RH_THAWEDP": "rh_thawedp",
    "F_NPPV": "f_nppv",
    "F_NPPD": "f_nppd",
    "F_LITTERD": "f_litterd",
    "NPP_FLUX0": "npp_flux0",
    "BETA": "beta",
    "WARMINGFACTOR": "warmingfactor",
    "F_FROZEN": "f_frozen",
    "RH_CH4": "rh_ch4",
    "RH_CH4_FRAC": "rh_ch4_frac",
    "PF_SIGMA": "pf_sigma",
    "PF_MU": "pf_mu",
    "FPF_STATIC": "fpf_static",
    "CO2_CONSTRAIN": "CO2_constrain",
    "TAS_CONSTRAIN": "tas_constrain",
    "NBP_CONSTRAIN": "NBP_constrain",
    "SL_RC": "sl_rc",
    "SLR": "slr",
    "SL_RC_NO_ICE": "sl_rc_no_ice",
    "SLR_NO_ICE": "slr_no_ice",
    "EMISSIONS_SO2": "SO2_emissions",
    "VOLCANIC_SO2": "SV",
    "ECS": "S",
    "GLOBAL_TAS": "global_tas",
    "LAND_TAS": "land_tas",
    "SST": "sst",
    "OCEAN_TAS": "ocean_tas",
    "LO_WARMING_RATIO": "lo_warming_ratio",
    "DIFFUSIVITY": "diff",
    "AERO_SCALE": "alpha",
    "VOLCANIC_SCALE": "volscl",
    "FLUX_MIXED": "heatflux_mixed",
    "FLUX_INTERIOR": "heatflux_interior",
    "HEAT_FLUX": "heatflux",
}
