"""Hector output variables."""

# Currently not readable in Pyhector

# "ocean.HL_Revelle": {
#     "component": "ocean",
#     "description": "HL Revelle",
#     "unit": "(unitless)",
#     "variable": "HL_Revelle"
# },
# "ocean.LL_Revelle": {
#     "component": "ocean",
#     "description": "LL Revelle",
#     "unit": "(unitless)",
#     "variable": "LL_Revelle",
# },
# Problem with reading data: "Interpolation requested but not allowed (slr) date: 1745"
# "slr.slr": {
#     "component": "slr",
#     "description": "sea level rise",
#     "unit": "cm",
#     "variable": "slr",
#     "needs_date": True,
# },
# "slr.slr_no_ice": {
#     "component": "slr",
#     "description": "sea level rise, no ice",
#     "unit": "cm",
#     "variable": "slr",
#     "needs_date": True,
# },
# "slr.sl_rc": {
#     "component": "slr",
#     "description": "sea level rate of change",
#     "unit": "cm/yr",
#     "variable": "sl_rc",
#     "needs_date": True,
# },
# "slr.sl_rc_no_ice": {
#     "component": "slr",
#     "description": "sea level rate of change, no ice",
#     "unit": "cm/yr",
#     "variable": "sl_rc_no_ice",
#     "needs_date": True,
# },
# "forcing.RF_SO2d": {
#     "component": "forcing",
#     "description": "radiative forcing from SO2d",
#     "unit": "W/m2",
#     "variable": "RF_SO2d",
#     "needs_date": True,
# },
# "forcing.RF_SO2i": {
#     "component": "forcing",
#     "description": "radiative forcing from SO2i",
#     "unit": "W/m2",
#     "variable": "RF_SO2i",
#     "needs_date": True,
# },


output = {
    "C2F6_halocarbon.hc_concentration": {
        "component": "C2F6_halocarbon",
        "description": "C2F6 concentration",
        "unit": "pptv",
        "variable": "hc_concentration",
    },
    "CCl4_halocarbon.hc_concentration": {
        "component": "CCl4_halocarbon",
        "description": "CCl4 concentration",
        "unit": "pptv",
        "variable": "hc_concentration",
    },
    "CF4_halocarbon.hc_concentration": {
        "component": "CF4_halocarbon",
        "description": "CF4 concentration",
        "unit": "pptv",
        "variable": "hc_concentration",
    },
    "CFC113_halocarbon.hc_concentration": {
        "component": "CFC113_halocarbon",
        "description": "CFC113 concentration",
        "unit": "pptv",
        "variable": "hc_concentration",
    },
    "CFC114_halocarbon.hc_concentration": {
        "component": "CFC114_halocarbon",
        "description": "CFC114 concentration",
        "unit": "pptv",
        "variable": "hc_concentration",
    },
    "CFC115_halocarbon.hc_concentration": {
        "component": "CFC115_halocarbon",
        "description": "CFC115 concentration",
        "unit": "pptv",
        "variable": "hc_concentration",
    },
    "CFC11_halocarbon.hc_concentration": {
        "component": "CFC11_halocarbon",
        "description": "CFC11 concentration",
        "unit": "pptv",
        "variable": "hc_concentration",
    },
    "CFC12_halocarbon.hc_concentration": {
        "component": "CFC12_halocarbon",
        "description": "CFC12 concentration",
        "unit": "pptv",
        "variable": "hc_concentration",
    },
    "CH3Br_halocarbon.hc_concentration": {
        "component": "CH3Br_halocarbon",
        "description": "CH3Br concentration",
        "unit": "pptv",
        "variable": "hc_concentration",
    },
    "CH3CCl3_halocarbon.hc_concentration": {
        "component": "CH3CCl3_halocarbon",
        "description": "CH3CCl3 concentration",
        "unit": "pptv",
        "variable": "hc_concentration",
    },
    "CH3Cl_halocarbon.hc_concentration": {
        "component": "CH3Cl_halocarbon",
        "description": "CH3Cl concentration",
        "unit": "pptv",
        "variable": "hc_concentration",
    },
    "CH4.CH4_concentration": {
        "component": "CH4",
        "description": "CH4 concentration",
        "unit": "ppbv CH4",
        "needs_date": True,
        "variable": "CH4_concentration",
    },
    "HCFC141b_halocarbon.hc_concentration": {
        "component": "HCFC141b_halocarbon",
        "description": "HCFC141b concentration",
        "unit": "pptv",
        "variable": "hc_concentration",
    },
    "HCFC142b_halocarbon.hc_concentration": {
        "component": "HCFC142b_halocarbon",
        "description": "HCFC142b concentration",
        "unit": "pptv",
        "variable": "hc_concentration",
    },
    "HCFC22_halocarbon.hc_concentration": {
        "component": "HCFC22_halocarbon",
        "description": "HCFC22 concentration",
        "unit": "pptv",
        "variable": "hc_concentration",
    },
    "HFC125_halocarbon.hc_concentration": {
        "component": "HFC125_halocarbon",
        "description": "HFC125 concentration",
        "unit": "pptv",
        "variable": "hc_concentration",
    },
    "HFC134a_halocarbon.hc_concentration": {
        "component": "HFC134a_halocarbon",
        "description": "HFC134a concentration",
        "unit": "pptv",
        "variable": "hc_concentration",
    },
    "HFC143a_halocarbon.hc_concentration": {
        "component": "HFC143a_halocarbon",
        "description": "HFC143a concentration",
        "unit": "pptv",
        "variable": "hc_concentration",
    },
    "HFC227ea_halocarbon.hc_concentration": {
        "component": "HFC227ea_halocarbon",
        "description": "HFC227ea concentration",
        "unit": "pptv",
        "variable": "hc_concentration",
    },
    "HFC23_halocarbon.hc_concentration": {
        "component": "HFC23_halocarbon",
        "description": "HFC23 concentration",
        "unit": "pptv",
        "variable": "hc_concentration",
    },
    "HFC245fa_halocarbon.hc_concentration": {
        "component": "HFC245fa_halocarbon",
        "description": "HFC245fa concentration",
        "unit": "pptv",
        "variable": "hc_concentration",
    },
    "HFC32_halocarbon.hc_concentration": {
        "component": "HFC32_halocarbon",
        "description": "HFC32 concentration",
        "unit": "pptv",
        "variable": "hc_concentration",
    },
    "HFC4310_halocarbon.hc_concentration": {
        "component": "HFC4310_halocarbon",
        "description": "HFC4310 concentration",
        "unit": "pptv",
        "variable": "hc_concentration",
    },
    "N2O.N2O_concentration": {
        "component": "N2O",
        "description": "N2O concentration",
        "unit": "ppbv N2O",
        "needs_date": True,
        "variable": "N2O_concentration",
    },
    "OH.TAU_OH": {
        "component": "OH",
        "description": "OH lifetime",
        "unit": "Years",
        "needs_date": True,
        "variable": "TAU_OH",
    },
    "SF6_halocarbon.hc_concentration": {
        "component": "SF6_halocarbon",
        "description": "SF6 concentration",
        "unit": "pptv",
        "variable": "hc_concentration",
    },
    "forcing.FCH4": {
        "component": "forcing",
        "description": "radiative forcing from CH4",
        "unit": "W/m2",
        "variable": "FCH4",
        "needs_date": True,
    },
    "forcing.RF_BC": {
        "component": "forcing",
        "description": "radiative forcing from BC",
        "unit": "W/m2",
        "variable": "RF_BC",
        "needs_date": True,
    },
    "forcing.RF_C2F6": {
        "component": "forcing",
        "description": "radiative forcing from C2F6",
        "unit": "W/m2",
        "variable": "RF_C2F6",
        "needs_date": True,
    },
    "forcing.RF_CCl4": {
        "component": "forcing",
        "description": "radiative forcing from CCl4",
        "unit": "W/m2",
        "variable": "RF_CCl4",
        "needs_date": True,
    },
    "forcing.RF_CFC11": {
        "component": "forcing",
        "description": "radiative forcing from CFC11",
        "unit": "W/m2",
        "variable": "RF_CFC11",
        "needs_date": True,
    },
    "forcing.RF_CFC113": {
        "component": "forcing",
        "description": "radiative forcing from CFC113",
        "unit": "W/m2",
        "variable": "RF_CFC113",
        "needs_date": True,
    },
    "forcing.RF_CFC114": {
        "component": "forcing",
        "description": "radiative forcing from CFC114",
        "unit": "W/m2",
        "variable": "RF_CFC114",
        "needs_date": True,
    },
    "forcing.RF_CFC115": {
        "component": "forcing",
        "description": "radiative forcing from CFC115",
        "unit": "W/m2",
        "variable": "RF_CFC115",
        "needs_date": True,
    },
    "forcing.RF_CFC12": {
        "component": "forcing",
        "description": "radiative forcing from CFC12",
        "unit": "W/m2",
        "variable": "RF_CFC12",
        "needs_date": True,
    },
    "forcing.RF_CH3Br": {
        "component": "forcing",
        "description": "radiative forcing from CH3Br",
        "unit": "W/m2",
        "variable": "RF_CH3Br",
        "needs_date": True,
    },
    "forcing.RF_CH3CCl3": {
        "component": "forcing",
        "description": "radiative forcing from CH3CCl3",
        "unit": "W/m2",
        "variable": "RF_CH3CCl3",
        "needs_date": True,
    },
    "forcing.RF_CH3Cl": {
        "component": "forcing",
        "description": "radiative forcing from CH3Cl",
        "unit": "W/m2",
        "variable": "RF_CH3Cl",
        "needs_date": True,
    },
    "forcing.RF_CO2": {
        "component": "forcing",
        "description": "radiative forcing from CO2",
        "unit": "W/m2",
        "variable": "RF_CO2",
        "needs_date": True,
    },
    "forcing.RF_FCF4": {
        "component": "forcing",
        "description": "radiative forcing from CF4",
        "unit": "W/m2",
        "variable": "RF_CF4",
        "needs_date": True,
    },
    "forcing.RF_H2O_strat": {
        "component": "forcing",
        "description": "radiative forcing from H2O",
        "unit": "W/m2",
        "variable": "RF_H2O_strat",
        "needs_date": True,
    },
    "forcing.RF_HCFC141b": {
        "component": "forcing",
        "description": "radiative forcing from HCFC141b",
        "unit": "W/m2",
        "variable": "RF_HCFC141b",
        "needs_date": True,
    },
    "forcing.RF_HCFC142b": {
        "component": "forcing",
        "description": "radiative forcing from HCFC142b",
        "unit": "W/m2",
        "variable": "RF_HCFC142b",
        "needs_date": True,
    },
    "forcing.RF_HCFC22": {
        "component": "forcing",
        "description": "radiative forcing from HCFC22",
        "unit": "W/m2",
        "variable": "RF_HCFC22",
        "needs_date": True,
    },
    "forcing.RF_HFC125": {
        "component": "forcing",
        "description": "radiative forcing from HFC125",
        "unit": "W/m2",
        "variable": "RF_HFC125",
        "needs_date": True,
    },
    "forcing.RF_HFC134a": {
        "component": "forcing",
        "description": "radiative forcing from HFC134a",
        "unit": "W/m2",
        "variable": "RF_HFC134a",
        "needs_date": True,
    },
    "forcing.RF_HFC143a": {
        "component": "forcing",
        "description": "radiative forcing from HFC143a",
        "unit": "W/m2",
        "variable": "RF_HFC143a",
        "needs_date": True,
    },
    "forcing.RF_HFC227ea": {
        "component": "forcing",
        "description": "radiative forcing from HFC227ea",
        "unit": "W/m2",
        "variable": "RF_HFC227ea",
        "needs_date": True,
    },
    "forcing.RF_HFC23": {
        "component": "forcing",
        "description": "radiative forcing from HFC23",
        "unit": "W/m2",
        "variable": "RF_HFC23",
        "needs_date": True,
    },
    "forcing.RF_HFC245fa": {
        "component": "forcing",
        "description": "radiative forcing from HFC245fa",
        "unit": "W/m2",
        "variable": "RF_HFC245fa",
        "needs_date": True,
    },
    "forcing.RF_HFC32": {
        "component": "forcing",
        "description": "radiative forcing from HFC32",
        "unit": "W/m2",
        "variable": "RF_HFC32",
        "needs_date": True,
    },
    "forcing.RF_HFC4310": {
        "component": "forcing",
        "description": "radiative forcing from HFC4310",
        "unit": "W/m2",
        "variable": "RF_HFC4310",
        "needs_date": True,
    },
    "forcing.RF_N2O": {
        "component": "forcing",
        "description": "radiative forcing from N2O",
        "unit": "W/m2",
        "variable": "RF_N2O",
        "needs_date": True,
    },
    "forcing.RF_NH3": {
        "component": "forcing",
        "description": "radiative forcing from NH3",
        "unit": "W/m2",
        "variable": "RF_NH3",
        "needs_date": True,
    },
    "forcing.RF_O3_trop": {
        "component": "forcing",
        "description": "radiative forcing from O3",
        "unit": "W/m2",
        "variable": "RF_O3_trop",
        "needs_date": True,
    },
    "forcing.RF_OC": {
        "component": "forcing",
        "description": "radiative forcing from OC",
        "unit": "W/m2",
        "variable": "RF_OC",
        "needs_date": True,
    },
    "forcing.RF_SF6": {
        "component": "forcing",
        "description": "radiative forcing from SF6",
        "unit": "W/m2",
        "variable": "RF_SF6",
        "needs_date": True,
    },
    "forcing.RF_SO2": {
        "component": "forcing",
        "description": "radiative forcing from SO2",
        "unit": "W/m2",
        "variable": "RF_SO2",
        "needs_date": True,
    },
    "forcing.RF_aci": {
        "component": "forcing",
        "description": "aerosol-cloud interactions forcing, includes contributions from SO2, BC and OC",
        "unit": "W/m2",
        "variable": "RF_aci",
        "needs_date": True,
    },
    "forcing.RF_albedo": {
        "component": "forcing",
        "description": "radiative forcing from terrestrial albedo forcing",
        "unit": "W/m2",
        "variable": "RF_albedo",
        "needs_date": True,
    },
    "forcing.RF_halon1211": {
        "component": "forcing",
        "description": "radiative forcing from halon1211",
        "unit": "W/m2",
        "variable": "RF_halon1211",
        "needs_date": True,
    },
    "forcing.RF_halon1301": {
        "component": "forcing",
        "description": "radiative forcing from halon1301",
        "unit": "W/m2",
        "variable": "RF_halon1301",
        "needs_date": True,
    },
    "forcing.RF_halon2402": {
        "component": "forcing",
        "description": "radiative forcing from halon2402",
        "unit": "W/m2",
        "variable": "RF_halon2402",
        "needs_date": True,
    },
    "forcing.RF_misc": {
        "component": "forcing",
        "description": "miscellaneous radiative forcing read in from ini",
        "unit": "W/m2",
        "variable": "RF_misc",
        "needs_date": True,
    },
    "forcing.RF_tot": {
        "component": "forcing",
        "description": "total global radiative forcing",
        "unit": "W/m2",
        "variable": "RF_tot",
        "needs_date": True,
    },
    "forcing.RF_vol": {
        "component": "forcing",
        "description": "volcanic radiative forcing",
        "unit": "W/m2",
        "variable": "RF_vol",
        "needs_date": True,
    },
    "halon1211_halocarbon.hc_concentration": {
        "component": "halon1211_halocarbon",
        "description": "halon1211 concentration",
        "unit": "pptv",
        "variable": "hc_concentration",
    },
    "halon1301_halocarbon.hc_concentration": {
        "component": "halon1301_halocarbon",
        "description": "halon1301 concentration",
        "unit": "pptv",
        "variable": "hc_concentration",
    },
    "halon2402_halocarbon.hc_concentration": {
        "component": "halon2402_halocarbon",
        "description": "halono2402 concentration",
        "unit": "pptv",
        "variable": "hc_concentration",
    },
    "ocean.DO_ocean_c": {
        "component": "ocean",
        "description": "carbon pool - deep ocean",
        "unit": "Pg C",
        "variable": "DO_ocean_c",
    },
    "ocean.HL_CO3": {
        "component": "ocean",
        "description": "carbonate ion - high latitude",
        "unit": "umol/kg",
        "variable": "HL_CO3",
    },
    "ocean.HL_DIC": {
        "component": "ocean",
        "description": "dissolved inorganic carbon - high latitude",
        "unit": "umol/kg",
        "variable": "HL_DIC",
    },
    "ocean.HL_OmegaAr": {
        "component": "ocean",
        "description": "aragnoite saturation - high latitude",
        "unit": "(unitless)",
        "variable": "HL_OmegaAr",
    },
    "ocean.HL_OmegaCa": {
        "component": "ocean",
        "description": "calcite saturation - high latitude",
        "unit": "(unitless)",
        "variable": "HL_OmegaCa",
    },
    "ocean.HL_PCO2": {
        "component": "ocean",
        "description": "partial pressure CO2 - high latitude",
        "unit": "uatm",
        "variable": "HL_PCO2",
    },
    "ocean.HL_downwelling": {
        "component": "ocean",
        "description": "flux of carbon from the high latitude to the deep ocean",
        "unit": "Pg C/yr",
        "variable": "HL_downwelling",
    },
    "ocean.HL_ocean_c": {
        "component": "ocean",
        "description": "carbon pool - high latitude surface ocean",
        "unit": "Pg C",
        "variable": "HL_ocean_c",
    },
    "ocean.HL_ocean_uptake": {
        "component": "ocean",
        "description": "flux of carbon between the atmosphere and high latitude surface box",
        "unit": "Pg C/yr",
        "variable": "HL_ocean_uptake",
    },
    "ocean.HL_pH": {
        "component": "ocean",
        "description": "pH - high latitude",
        "unit": "pH",
        "variable": "HL_pH",
    },
    "ocean.HL_sst": {
        "component": "ocean",
        "description": "ocean surface temperature - high latitude",
        "unit": "degC",
        "variable": "HL_sst",
    },
    "ocean.IO_ocean_c": {
        "component": "ocean",
        "description": "carbon pool - intermediate ocean",
        "unit": "Pg C",
        "variable": "IO_ocean_c",
    },
    "ocean.LL_CO3": {
        "component": "ocean",
        "description": "carbonate ion - low latitude",
        "unit": "umol/kg",
        "variable": "LL_CO3",
    },
    "ocean.LL_DIC": {
        "component": "ocean",
        "description": "dissolved inorganic carbon - low latitude",
        "unit": "umol/kg",
        "variable": "LL_DIC",
    },
    "ocean.LL_OmegaAr": {
        "component": "ocean",
        "description": "aragnoite saturation - low latitude",
        "unit": "(unitless)",
        "variable": "LL_OmegaAr",
    },
    "ocean.LL_OmegaCa": {
        "component": "ocean",
        "description": "calcite saturation - low latitude",
        "unit": "(unitless)",
        "variable": "LL_OmegaCa",
    },
    "ocean.LL_PCO2": {
        "component": "ocean",
        "description": "partial pressure CO2 - low latitude",
        "unit": "uatm",
        "variable": "LL_PCO2",
    },
    "ocean.LL_ocean_c": {
        "component": "ocean",
        "description": "carbon pool - low latitude surface ocean",
        "unit": "Pg C",
        "variable": "LL_ocean_c",
    },
    "ocean.LL_ocean_uptake": {
        "component": "ocean",
        "description": "flux of carbon between the atmosphere and low latitude surface box",
        "unit": "Pg C/yr",
        "variable": "LL_ocean_uptake",
    },
    "ocean.LL_pH": {
        "component": "ocean",
        "description": "pH - low latitude",
        "unit": "pH",
        "variable": "LL_pH",
    },
    "ocean.LL_sst": {
        "component": "ocean",
        "description": "ocean surface temperature - low latitude",
        "unit": "degC",
        "variable": "LL_sst",
    },
    "ocean.ocean_c": {
        "component": "ocean",
        "description": "total ocean carbon pool",
        "unit": "Pg C",
        "variable": "ocean_c",
    },
    "ocean.ocean_timesteps": {
        "component": "ocean",
        "description": "time step the ocean operates on",
        "unit": "(unitless)",
        "variable": "ocean_timesteps",
    },
    "ocean.ocean_uptake": {
        "component": "ocean",
        "description": "total atmosphere ocean flux",
        "unit": "Pg C",
        "variable": "ocean_uptake",
        "needs_date": True,
    },
    "ozone.O3_concentration": {
        "component": "ozone",
        "description": "tropospheric ozone concentration",
        "unit": "DU O3",
        "needs_date": True,
        "variable": "O3_concentration",
    },
    "simpleNbox.CO2_concentration": {
        "component": "simpleNbox",
        "description": "atmospheric CO2 concentration",
        "unit": "ppmv CO2",
        "variable": "CO2_concentration",
        "needs_date": True,
    },
    "simpleNbox.NBP": {
        "component": "simpleNbox",
        "description": "flux of carbon between the atmosphere and the ocean",
        "unit": "Pg C/yr",
        "variable": "NBP",
    },
    "simpleNbox.NPP": {
        "component": "simpleNbox",
        "description": "net primary production (land)",
        "unit": "Pg C/yr",
        "variable": "NPP",
    },
    "simpleNbox.RH": {
        "component": "simpleNbox",
        "description": "heterotrophic respiration (land)",
        "unit": "Pg C/yr",
        "variable": "RH",
    },
    "simpleNbox.atmos_c_residual": {
        "component": "simpleNbox",
        "description": "the difference between calculated CO2 and and prescribed CO2 when running with prescribed CO2 concentrations",
        "unit": "Pg C",
        "variable": "atmos_c_residual",
    },
    "simpleNbox.atmos_co2": {
        "component": "simpleNbox",
        "description": "total atmospheric carbon pool",
        "unit": "Pg C",
        "variable": "atmos_co2",
    },
    "simpleNbox.detritus_c": {
        "component": "simpleNbox",
        "description": "total detritus carbon pool",
        "unit": "Pg C",
        "variable": "detritus_c",
    },
    "simpleNbox.earth_c": {
        "component": "simpleNbox",
        "description": "total carbon pool - used a mass balance check",
        "unit": "Pg C",
        "variable": "earth_c",
    },
    "simpleNbox.f_frozen": {
        "component": "simpleNbox",
        "description": "fraction frozen",
        "unit": "(unitless)",
        "variable": "f_frozen",
    },
    "simpleNbox.permafrost_c": {
        "component": "simpleNbox",
        "description": "Permafrost C pool",
        "unit": "Pg C",
        "variable": "permafrost_c",
    },
    "simpleNbox.rh_ch4": {
        "component": "simpleNbox",
        "description": "thawed permafrost decomposed as CH4",
        "unit": "Pg C/yr",
        "variable": "rh_ch4",
    },
    "simpleNbox.soil_c": {
        "component": "simpleNbox",
        "description": "total soil carbon pool",
        "unit": "Pg C",
        "variable": "soil_c",
    },
    "simpleNbox.thawedp_c": {
        "component": "simpleNbox",
        "description": "thawed perfafrost c",
        "unit": "Pg C",
        "variable": "thawedp_c",
    },
    "simpleNbox.veg_c": {
        "component": "simpleNbox",
        "description": "total vegetation carbon pool",
        "unit": "Pg C",
        "variable": "veg_c",
    },
    "temperature.global_tas": {
        "component": "temperature",
        "description": "global mean air temperature anomaly",
        "unit": "degC",
        "variable": "global_tas",
    },
    "temperature.gmst": {
        "component": "temperature",
        "description": "global mean surface temperature anomaly",
        "unit": "degC",
        "variable": "gmst",
    },
    "temperature.heatflux": {
        "component": "temperature",
        "description": "Ocean Heatflux",
        "unit": "W/m2",
        "variable": "heatflux",
    },
    "temperature.heatflux_interior": {
        "component": "temperature",
        "description": "heatflux interior",
        "unit": "W/m2",
        "variable": "heatflux_interior",
    },
    "temperature.heatflux_mixed": {
        "component": "temperature",
        "description": "heatflux mixed",
        "unit": "W/m2",
        "variable": "heatflux_mixed",
    },
    "temperature.land_tas": {
        "component": "temperature",
        "description": "average air temperature anomaly over land, land surface temperature and air temperature over land are assumed to be equivalent.",
        "unit": "degC",
        "variable": "land_tas",
    },
    "temperature.ocean_tas": {
        "component": "temperature",
        "description": "average air temperature anomaly over the ocean",
        "unit": "degC",
        "variable": "ocean_tas",
    },
    "temperature.sst": {
        "component": "temperature",
        "description": "average sea surface temperature anomaly",
        "unit": "degC",
        "variable": "sst",
    },
}
