"""Dictionary of emissions and their expected units in Hector."""

units = {
    "BC_emissions": "Tg year-1",
    "C2F6_constrain": "ppt",
    "C2F6_emissions": "ppt",
    "CCl4_constrain": "ppt",
    "CCl4_emissions": "ppt",
    "CF4_constrain": "ppt",
    "CF4_emissions": "ppt",
    "CFC113_constrain": "ppt",
    "CFC113_emissions": "ppt",
    "CFC114_constrain": "ppt",
    "CFC114_emissions": "ppt",
    "CFC115_constrain": "ppt",
    "CFC115_emissions": "ppt",
    "CFC11_constrain": "ppt",
    "CFC11_emissions": "ppt",
    "CFC12_constrain": "ppt",
    "CFC12_emissions": "ppt",
    "CH3Br_constrain": "ppt",
    "CH3Br_emissions": "ppt",
    "CH3CCl3_emissions": "ppt",
    "CH3Cl_constrain": "ppt",
    "CH3Cl_emissions": "ppt",
    "CH4_constrain": "ppb",
    "CH4_emissions": "Tg CH4 year-1",
    "CO2_constrain": "ppm",
    "CO_emissions": "Tg CO year-1",
    "HCFC141b_constrain": "ppt",
    "HCFC141b_emissions": "ppt",
    "HCFC142b_constrain": "ppt",
    "HCFC142b_emissions": "ppt",
    "HCFC22_constrain": "ppt",
    "HCFC22_emissions": "ppt",
    "HFC125_constrain": "ppt",
    "HFC125_emissions": "ppt",
    "HFC134a_constrain": "ppt",
    "HFC134a_emissions": "ppt",
    "HFC143a_constrain": "ppt",
    "HFC143a_emissions": "ppt",
    "HFC227ea_constrain": "ppt",
    "HFC227ea_emissions": "ppt",
    "HFC23_constrain": "ppt",
    "HFC23_emissions": "ppt",
    "HFC245_constrain": "ppt",
    "HFC245fa_emissions": "ppt",
    "HFC32_constrain": "ppt",
    "HFC32_emissions": "ppt",
    "HFC365_constrain": "ppt",
    "HFC365_emissions": "ppt",
    "HFC4310_constrain": "ppt",
    "HFC4310_emissions": "ppt",
    "N2O_constrain": "ppb",
    "N2O_emissions": "Tg N year-1",
    "NH3_emissions": "Tg year-1",
    "NMVOC_emissions": "Tg NMVOC year-1",
    "NOX_emissions": "Tg N year-1",
    "OC_emissions": "Tg year-1",
    "RF_albedo": "W m-2",
    "SF6_constrain": "ppt",
    "SF6_emissions": "ppt",
    "SO2_emissions": "Gg S year-1",
    "SV": "W m-2",
    "daccs_uptake": "PgC year-1",
    "ffi_emissions": "PgC year-1",
    "halon1211_constrain": "ppt",
    "halon1211_emissions": "ppt",
    "halon1301_constrain": "ppt",
    "halon1301_emissions": "ppt",
    "halon2402_constrain": "ppt",
    "halon2402_emissions": "ppt",
    "luc_emissions": "PgC year-1",
    "luc_uptake": "PgC year-1",
}
